> For the complete documentation index, see [llms.txt](https://docs.theopenpresenter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.theopenpresenter.com/plugins/developing-a-plugin/plugin-api/media/frontend/tus.md).

# Tus

Tus-js-client

Uppy

### **Endpoint**

The tus endpoint can be obtained through the pluginApi:

```typescript
pluginApi.media.tusUploadUrl
```

### Headers

We do not require any additional headers other than the one specified at [Frontend](/plugins/developing-a-plugin/plugin-api/media/frontend.md#headers). However, all Tus headers should be passed as normal.&#x20;

### Metadata

At the moment of writing, we only read the metadata for the file's original name and to infer the file extension based on that.&#x20;

We recommend to pass the same metadata as it would appear when you use Uppy since that is what we use. Here's an example of one:

```javascript
{
  relativePath: 'null',
  name: 'title.png',
  type: 'image/png',
  filetype: 'image/png',
  filename: 'title.png'
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.theopenpresenter.com/plugins/developing-a-plugin/plugin-api/media/frontend/tus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
